/* This file is part of the KDE project
 * Copyright (C) 2008 Jan Hambrecht <jaham@gmx.net>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#ifndef PDF2ODGIMPORT_H
#define PDF2ODGIMPORT_H

#include <KoFilter.h>
#include <QObject>
#include <QVariantList>

class QFile;

class KarbonDocument;
class KoXmlElement;
class KoShape;

class Pdf2OdgImport : public KoFilter
{
    Q_OBJECT

public:
    Pdf2OdgImport(QObject* parent, const QVariantList&);
    ~Pdf2OdgImport() override;

    KoFilter::ConversionStatus convert(const QByteArray& from, const QByteArray& to) override;

    KoFilter::ConversionStatus convert(int pageNumber, QFile &in);
    void convert(const KoXmlElement &rootElement, int pageNumber);
    void buildDocument(const QList<KoShape*> &toplevelShapes, const QList<KoShape*> &shapes, int pageNumber);

private:
    KarbonDocument *m_document;
};

#endif

