#ifndef WRITEODFDC_H
#define WRITEODFDC_H
#include "writeodf.h"
namespace writeodf {
class dc_date : public OdfWriter {
public:
    dc_date(OdfWriter* x) :OdfWriter(x, "dc:date", false) {
    }
    dc_date(KoXmlWriter* x) :OdfWriter(x, "dc:date", false) {
    }
    void addTextNode(const QString& data) {
        OdfWriter::addTextNode(data);
    }
};
class dc_language : public OdfWriter {
public:
    dc_language(OdfWriter* x) :OdfWriter(x, "dc:language", false) {
    }
    dc_language(KoXmlWriter* x) :OdfWriter(x, "dc:language", false) {
    }
    void addTextNode(const QString& data) {
        OdfWriter::addTextNode(data);
    }
};
class dc_description : public OdfWriter {
public:
    dc_description(OdfWriter* x) :OdfWriter(x, "dc:description", false) {
    }
    dc_description(KoXmlWriter* x) :OdfWriter(x, "dc:description", false) {
    }
    void addTextNode(const QString& data) {
        OdfWriter::addTextNode(data);
    }
};
class dc_title : public OdfWriter {
public:
    dc_title(OdfWriter* x) :OdfWriter(x, "dc:title", false) {
    }
    dc_title(KoXmlWriter* x) :OdfWriter(x, "dc:title", false) {
    }
    void addTextNode(const QString& data) {
        OdfWriter::addTextNode(data);
    }
};
class dc_subject : public OdfWriter {
public:
    dc_subject(OdfWriter* x) :OdfWriter(x, "dc:subject", false) {
    }
    dc_subject(KoXmlWriter* x) :OdfWriter(x, "dc:subject", false) {
    }
    void addTextNode(const QString& data) {
        OdfWriter::addTextNode(data);
    }
};
class dc_creator : public OdfWriter {
public:
    dc_creator(OdfWriter* x) :OdfWriter(x, "dc:creator", false) {
    }
    dc_creator(KoXmlWriter* x) :OdfWriter(x, "dc:creator", false) {
    }
    void addTextNode(const QString& data) {
        OdfWriter::addTextNode(data);
    }
};
}
inline writeodf::dc_date
writeodf::group_dc_date::add_dc_date() {
    return writeodf::dc_date(&xml);
}
inline writeodf::dc_creator
writeodf::group_dc_creator::add_dc_creator() {
    return writeodf::dc_creator(&xml);
}
#endif
